| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PreStack::EventTracker Class Referenceabstract
PreStackProcessing

Base class for algorithms that track PreStack events on a gather. More...

`#include <prestackeventtracker.h>`

## Public Member Functions
virtual | ~EventTracker ()
uiString | errMsg ()
virtual void | fillPar (IOPar &) const
virtual void | reInit ()
| Should be called after each survey change.
virtual bool | setMute (bool inner, const MultiID &)
virtual void | setMute (bool inner, MuteDef *, OD::PtrPolicy)
virtual bool | trackEvents (const Gather &, ObjectSet< Event > &) const =0
virtual bool | usePar (const IOPar &)

## Static Public Member Functions
static const char * | sKeyInnerMute ()
static const char * | sKeyOuterMute ()

## Protected Member Functions
| EventTracker ()
void | removeMutes ()

## Protected Attributes
uiString | errmsg_
MuteDef * | innermute_ = nullptr
MultiID | innermuteid_
MuteDef * | outermute_ = nullptr
MultiID | outermuteid_
bool | ownsinnermute_ = false
bool | ownsoutermute_ = false

## Detailed Description

Base class for algorithms that track PreStack events on a gather.

<>

## Constructor & Destructor Documentation

## ◆ ~EventTracker()

virtual PreStack::EventTracker::~EventTracker | ( |  | ) |
| virtual

## ◆ EventTracker()

PreStack::EventTracker::EventTracker | ( |  | ) |
| protected

## Member Function Documentation

## ◆ errMsg()

uiString PreStack::EventTracker::errMsg | ( |  | ) |
| inline

## ◆ fillPar()

virtual void PreStack::EventTracker::fillPar | ( | IOPar & |  | ) | const
| virtual

## ◆ reInit()

virtual void PreStack::EventTracker::reInit | ( |  | ) |
| virtual

Should be called after each survey change.

## ◆ removeMutes()

void PreStack::EventTracker::removeMutes | ( |  | ) |
| protected

## ◆ setMute() [1/2]

virtual bool PreStack::EventTracker::setMute | ( | bool | inner,
|  | const MultiID & | )
| virtual

## ◆ setMute() [2/2]

virtual void PreStack::EventTracker::setMute | ( | bool | inner,
|  | MuteDef * | ,
|  | OD::PtrPolicy | )
| virtual

## ◆ sKeyInnerMute()

static const char * PreStack::EventTracker::sKeyInnerMute | ( |  | ) |
| inline static

## ◆ sKeyOuterMute()

static const char * PreStack::EventTracker::sKeyOuterMute | ( |  | ) |
| inline static

## ◆ trackEvents()

virtual bool PreStack::EventTracker::trackEvents | ( | const Gather & | ,
|  | ObjectSet< Event > & | ) const
| pure virtual

## ◆ usePar()

virtual bool PreStack::EventTracker::usePar | ( | const IOPar & |  | ) |
| virtual

## Member Data Documentation

## ◆ errmsg_

uiString PreStack::EventTracker::errmsg_
| protected

## ◆ innermute_

MuteDef* PreStack::EventTracker::innermute_ = nullptr
| protected

## ◆ innermuteid_

MultiID PreStack::EventTracker::innermuteid_
| protected

## ◆ outermute_

MuteDef* PreStack::EventTracker::outermute_ = nullptr
| protected

## ◆ outermuteid_

MultiID PreStack::EventTracker::outermuteid_
| protected

## ◆ ownsinnermute_

bool PreStack::EventTracker::ownsinnermute_ = false
| protected

## ◆ ownsoutermute_

bool PreStack::EventTracker::ownsoutermute_ = false
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025